Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.servlet.mvc
Class SimpleGrailsController

    java.lang.Object
      org.codehaus.groovy.grails.web.servlet.mvc.SimpleGrailsController

All Implemented Interfaces:
  ServletContextAware, Controller

    public class SimpleGrailsController

extends Object
implements Controller, ServletContextAware

Base class for Grails controllers.

Author:
  Steven Devijver, Graeme Rocher

Constructor Summary
`SimpleGrailsController()`

Method Summary
`ServletContext` | `getServletContext()`
`ModelAndView` | `handleRequest(HttpServletRequest request, HttpServletResponse response)` Wraps regular request and response objects into Grails request and response objects.
`void` | `setGrailsApplication(GrailsApplication application)`
`void` | `setServletContext(ServletContext servletContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleGrailsController

    public SimpleGrailsController()

Method Detail

### handleRequest

    public ModelAndView handleRequest(HttpServletRequest request,
                                      HttpServletResponse response)
                               throws Exception

  Wraps regular request and response objects into Grails request and response objects.

  It can handle maps as model types next to ModelAndView instances.

  Specified by:
    `handleRequest` in interface `Controller`
  Parameters:
    `request` - HTTP request
    `response` - HTTP response
  Returns:
    the model
  Throws:
    `Exception`

### setGrailsApplication

    public void setGrailsApplication(GrailsApplication application)

### setServletContext

    public void setServletContext(ServletContext servletContext)

  Specified by:
    `setServletContext` in interface `ServletContextAware`

### getServletContext

    public ServletContext getServletContext()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD